Message: Can't install with OpenGL turned on... Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Can't install with OpenGL turned on... 

Forum: Installation and Configuration
Date: 31 Jul, 2007
From: Daniel Badger <daniel.badger@nwahs.sa.gov.au>

I'm trying to install geant4 as part of a GATE installation on Red hat Fedora core 6 on a quad processor machine. Initially I couldn't get it to install without errors with visualisations, so I disabled the Open GL part, and got GATE working fine. I would like to have visuallisation though, so I am trying to get OpenGL support working.

After an ordeal finding the correct location of OpenGL (/usr/) it installed except for an error, the installer could not find StdCmap.h. Turned out StdCmap.h didn't exist anywhere, even though the OpenGL was correctly installed. I managed to find a copy of the file on one of my other machines (seems that from FC5 the StdCmap.h isn't included in X11?)

This seemed to get past the "no such file" error, but now I get the following message:

Compiling G4OpenGLSceneHandler.cc ...
src/G4OpenGLSceneHandler.cc: In member function 'void G4OpenGLSceneHandler::AddCircleSquare(const G4VMarker&, G4int)':
src/G4OpenGLSceneHandler.cc:245: error: 'gluProject' was not declared in this scope
src/G4OpenGLSceneHandler.cc: In member function 'virtual void G4OpenGLSceneHandler::AddPrimitive(const G4NURBS&)':
src/G4OpenGLSceneHandler.cc:637: error: 'GLUnurbsObj' was not declared in this scope
src/G4OpenGLSceneHandler.cc:637: error: 'gl_nurb' was not declared in this scope
src/G4OpenGLSceneHandler.cc:638: error: 'gluNewNurbsRenderer' was not declared in this scope
src/G4OpenGLSceneHandler.cc:679: error: 'GLU_DISPLAY_MODE' was not declared in this scope
src/G4OpenGLSceneHandler.cc:679: error: 'GLU_FILL' was not declared in this scope
src/G4OpenGLSceneHandler.cc:679: error: 'gluNurbsProperty' was not declared in this scope
src/G4OpenGLSceneHandler.cc:680: error: 'GLU_SAMPLING_TOLERANCE' was not declared in this scope
src/G4OpenGLSceneHandler.cc:701: error: 'GLU_DISPLAY_MODE' was not declared in this scope
src/G4OpenGLSceneHandler.cc:701: error: 'GLU_OUTLINE_POLYGON' was not declared in this scope
src/G4OpenGLSceneHandler.cc:701: error: 'gluNurbsProperty' was not declared in this scope
src/G4OpenGLSceneHandler.cc:702: error: 'GLU_SAMPLING_TOLERANCE' was not declared in this scope
src/G4OpenGLSceneHandler.cc:707: error: 'gluBeginSurface' was not declared in this scope
src/G4OpenGLSceneHandler.cc:719: error: 'gluNurbsSurface' was not declared in this scope
src/G4OpenGLSceneHandler.cc:721: error: 'gluEndSurface' was not declared in this scope
src/G4OpenGLSceneHandler.cc:727: error: 'gluDeleteNurbsRenderer' was not declared in this scope
gmake[2]: *** [/src/geant4.8.1.p02/tmp/Linux-g++/G4OpenGL/G4OpenGLSceneHandler.o] Error 1
gmake[1]: *** [granular] Error 2
libmap stage:
Searching for GNUmakefiles and sorting ...
Weeding out paths and files ...
Making libname.map starter file ...
Making libname.map ...
  Reading library name map file...
  Reading dependency files...
  Checking for circular dependencies...
  Reordering according to dependencies...
  Writing new library map file...
############################################################
# It looks like you had errors during Geant4 installation   
# (or interrupted installation)!                                  
# Please check log file:                                          
# /src/geant4.8.1.p02/.config/bin/Linux-g++/g4make.log                                    
############################################################
Here is my environment:

 env | grep G4

G4BIN=/home/wizard/g4/bin G4LEVELGAMMADATA=/src/geant4.8.1.p02/data/PhotonEvaporation2.0 G4ANALYSIS_USE_NTUPLE=1 G4INSTALL=/src/geant4.8.1.p02 G4ELASTICDATA=/src/geant4.8.1.p02/data/G4ELASTIC1.1 G4LEDATA=/src/geant4.8.1.p02/data/G4EMLOW4.0 G4ANALYSIS_USE_ROOT=1 G4ANALYSIS_USE=1 G4TMP=/home/wizard/g4/tmp G4RADIOACTIVEDATA=/src/geant4.8.1.p02/data/RadiativeDecay3.0 G4LIB=/src/geant4.8.1.p02/lib G4LIB_BUILD_STATIC=1 G4VERSION8=1 G4ANALYSIS_USE_FILE=1 G4UI_USE_TCSH=1 G4LIB_USE_GRANULAR=1 G4SYSTEM=Linux-g++ G4WORKDIR=/home/wizard/g4 NeutronHPCrossSections=/src/geant4.8.1.p02/data/G4NDL3.9 G4VIS_BUILD_OPENGLX_DRIVER=1 G4VIS_USE_OPENGLX=1

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Can't install with OpenGL turned on...   (John Allison - 31 Jul, 2007)
1 None: Re: Can't install with OpenGL turned on...   (Daniel Badger - 31 Jul, 2007)
3 None: Re: Can't install with OpenGL turned on...   (Kazuyoshi Furutaka - 31 Jul, 2007)
 Add Message Add Message
to: "Can't install with OpenGL turned on..."

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]